'use strict';

exports.__esModule = true;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('../styles/components/favorite-button.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var FavoriteButton = function FavoriteButton(props) {
  var favoriteIconClass = '';
  if (props.isFavorited) {
    favoriteIconClass = 'icon_star';
  } else {
    favoriteIconClass = 'icon_star_alt star_gray';
  }
  return _react2['default'].createElement(
    'div',
    { className: 'favorite-button' },
    _react2['default'].createElement('i', { className: favoriteIconClass })
  );
};

FavoriteButton.defaultProps = {
  isFavorited: false
};

FavoriteButton.propTypes = {
  isFavorited: _propTypes2['default'].bool
};

exports['default'] = FavoriteButton;
module.exports = exports['default'];
//# sourceMappingURL=FavoriteButton.js.map