'use strict';

exports.__esModule = true;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('./suir/icon/Icon');

var _Icon2 = _interopRequireDefault(_Icon);

require('../styles/components/stop-start-button.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var StopStartButton = function StopStartButton(props) {
  var iconClass = '';
  if (props.isStopped) {
    iconClass = 'ei icon_pause_alt2 stop-start-button';
  } else {
    iconClass = 'ei arrow_triangle-right_alt2 stop-start-button';
  }
  return _react2['default'].createElement(_Icon2['default'], { className: ' ' + iconClass + ' ' + props.className, style: props.style, onClick: props.onClick });
};

StopStartButton.defaultProps = {
  isStopped: false,
  style: {}
};

StopStartButton.propTypes = {
  isStopped: _propTypes2['default'].bool,
  onClick: _propTypes2['default'].func,
  style: _propTypes2['default'].object
};

exports['default'] = StopStartButton;
module.exports = exports['default'];
//# sourceMappingURL=StopStartButton.js.map