'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FavoriteButton = require('../FavoriteButton');

var _FavoriteButton2 = _interopRequireDefault(_FavoriteButton);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var MicroCardFavorite = function MicroCardFavorite(props) {
  var externalAttributes = (0, _externalAttributeFilter2['default'])(props);
  return _react2['default'].createElement(
    'div',
    (0, _extends3['default'])({}, externalAttributes, { className: 'microcard_favorite ' + props.className }),
    _react2['default'].createElement(_FavoriteButton2['default'], { isFavorited: props.isFavorited })
  );
};

MicroCardFavorite.defaultProps = {};

MicroCardFavorite.propTypes = {
  isFavorited: _propTypes2['default'].bool
};

exports['default'] = MicroCardFavorite;
module.exports = exports['default'];
//# sourceMappingURL=MicroCardFavorite.js.map